--- title: "OCR" url: https://docs.catalyst.zoho.com/en/api/code-reference/zia-services/ocr/ description: "This API enables you to detect textual characters in images and documents and deliver the recognized text through Zia OCR." last_updated: 2026-08-17T12:16:04Z service: Zia Services type: api --- # Optical Character Recognition [Zia Optical Character Recognition](https://docs.catalyst.zoho.com/en/zia-services/help/optical-character-recognition/introduction/) electronically detects textual characters in images or digital documents, and converts them into machine-encoded text. Zia OCR can recognize text in 10 major languages. > **Note:** Catalyst does not store any of the files you upload in its systems. The files you upload are used for one-time processing only. They are not used for ML model training purposes either. Catalyst components are fully compliant with all applicable data protection and privacy laws. # Execute OCR ### Description This API is used to detect textual characters in images and documents, and deliver the recognized text as a JSON response. The response also contains a confidence score, which defines the accuracy of the detection. You must specify the path to the image or document file in the API request, as shown in the sample request. You can optionally specify the languages present in the text, for quicker processing. OCR supports 9 international languages and 10 Indian languages, that are mentioned in the tables below. The language is automatically detected and the text is processed, if it is not specified. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/ml/ocr - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **content-type:** multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.mlkit.READ #### Request JSON Properties - **image** (file, mandatory): The input file to be processed. You must provide the path to it in your local system. Allowed formats: *.webp, .jpeg, .png, .bmp, .tiff, .pdf* File size limit: 20 MB - **language** (string, optional): The language code of the text to be identified. Refer the tables below for the language codes. #### International Languages Supported by OCR
Language Language Codes
Arabic `ara`
Chinese `chi_sim`
French `fra`
Italian `ita`
Japanese `jpn`
Portuguese `por`
Romanian `ron`
Spanish `spa`
#### Indian Languages Supported by OCR
Language Language Codes
English `eng`
Hindi `hin`
Bengali `ben`
Marathi `mar`
Telugu `tel`
Tamil `tam`
Gujarati `guj`
Urdu `urd`
Kannada `kan`
Malayalam `mal`
Sanskrit `san`
### Response Details The response returns the `data` of the OCR processing, which includes the text that was recognized from the input in the `text` key and the confidence score of the recognition in the `confidence` key. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/ml/ocr -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW" \ -F "image=/Desktop/HelplineCard.webp" \ -F "language=eng,spa" ``` **Sample Response** ```json { "status":"success", "data": { "confidence":79.71514892578125, "text":"Whenever you\nneed to talk,\nwe‘re open\n\n[—] text eseses\n[J] KidsHelpPhone.ca\n\n(@, call 1—800—663—6868 Kids Help Phone ©" } } ``` ### SDK Documentation [Add New User- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/zia-services/ocr)

[Add New User- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/zia-services/ocr)

[Add New User- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/zia-services/ocr)